#########################################################################################################################
#### Trimmomatic

zcat  $fastqFile | head -n 400000 > test.fastq
gzip test.fastq

export TRIMMOMATIC_HOME=/projects/bioinfo/holger/bin/Trimmomatic-0.32

# do the filtering
mcdir $baseDir/trimmed

for fastqFile in $baseDir/treps_pooled/*fastq.gz ; do
    # DEBUG fastqFile=/projects/bioinfo/holger/projects/helin/dog/treps_pooled/dog_big_cyst_rep1.fastq.gz
    # DEBUG fastqFile=test.fastq.gz

    caFastq=$(basename $fastqFile .fastq.gz)_tm.fastq.gz
    echo "cutadapting $caFastq into $caFastq"

    cmd="java -Xmx2g -jar $TRIMMOMATIC_HOME/trimmomatic-0.32.jar SE -threads 1 -phred33 $fastqFile $caFastq ILLUMINACLIP:$TRIMMOMATIC_HOME/adapters/TruSeq3-SE.fa:2:30:10 LEADING:3 TRAILING:3 SLIDINGWINDOW:4:15 MINLEN:36"
    eval $cmd
    mysub "$project__ca__$caFastq" "cutadapt -m 20 -q 25 -o $caFastq $fastqFile > $caFastq.ca.log"  -q long  | joblist .tmjobs
done
wait4jobs .tmjobs


dge_fastqc -o $baseDir/fastqc_tm $(ls $baseDir/trimmed/*fastq.gz)

mailme "trimmomatic done"


